## xtide 2.6.4

=== libtcd/Makefile ===
# $Id: Makefile,v 1.2 2002/10/01 18:27:41 flaterco Exp $

# This Makefile is not used by the normal XTide build process.  It is
# included only in case somebody wants to build libtcd without getting
# involved with XTide.

OBJ = bit_pack.o tide_db.o
CFLAGS = -O2

libtcd.a: $(OBJ)
	ar rv libtcd.a $(OBJ)

.c.o:
	$(CC) -c $(CFLAGS) $<

bit_pack.o:     	nvtypes.h
tide_db.o:      	tide_db_header.h tcd.h tide_db_default.h \
			nvtypes.h tide_db_version.h

clean:
	rm -f *.o *.a
