## xtide 2.8.2

=== libtcd/Makefile ===
--- 
+++ 
@@ -1,14 +1,17 @@
-# $Id: Makefile,v 1.2 2002/10/01 18:27:41 flaterco Exp $
+# $Id: Makefile,v 1.7 2004/10/04 14:46:02 flaterco Exp $
 
 # This Makefile is not used by the normal XTide build process.  It is
 # included only in case somebody wants to build libtcd without getting
 # involved with XTide.
 
 OBJ = bit_pack.o tide_db.o
-CFLAGS = -O2
+CFLAGS = -O
 
+# An alternative to ar + ranlib:
+#	libtool -static -o libtcd.a $(OBJ)
 libtcd.a: $(OBJ)
 	ar rv libtcd.a $(OBJ)
+	-ranlib libtcd.a
 
 .c.o:
 	$(CC) -c $(CFLAGS) $<
