=== tcd-utils/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.5 2003/03/19 14:47:13 flaterco Exp $
+# $Id: Makefile,v 1.12 2004/10/19 19:02:01 flaterco Exp $
 
 # libtcd is mandatory.  It comes with xtide.
 # Change this!
