## xtide 2.11

=== debian/changelog ===
xtide (2.11-1) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * Standards-Version: 3.9.0

 -- Peter S Galbraith <psg@debian.org>  Thu, 12 Aug 2010 10:51:03 -0400

xtide (2.10-2) unstable; urgency=low

  * Bug fix: "Icons missing copyright information", thanks to Charlie
    Smotherman for reporting and for the patch (Closes: #557598).

 -- Peter S Galbraith <psg@debian.org>  Thu, 26 Nov 2009 22:04:31 -0500

xtide (2.10-1) unstable; urgency=low

  * New upstream release
  * Bug fix: "more command line options on man page", thanks to Kevin Ryde
    (Closes: #422663).
  * Bug fix: "/etc/cron.weekly/xtide claims to be obsolete", thanks to
    Justin B Rye (Closes: #493990).  Deleted reference to slink and potato.
  * Standards-Version: 3.8.3 without changes.

 -- Peter S Galbraith <psg@debian.org>  Mon, 12 Oct 2009 14:14:06 -0400

xtide (2.9.5-3) unstable; urgency=low

  [ Morten Kjeldgaard <mok@bioxray.au.dk> ]
  * debian/rules: 
    + clean rule modified to satisfy lintian
    + DH_COMPAT line removed.
  * debian/compat: create this file
  * debian/control:
    + versioned dependency of debhelper
    + move webpage from long description to Homepage field
    + bump Standards-Version

  [ Peter S Galbraith ]
  * Bug fix: "xtide: Please add LSB formatted dependency info in init.d
    script", thanks to Petter Reinholdtsen (Closes: #466147).
  * menu entry switched to section "Applications/Science/Geoscience"

 -- Peter S Galbraith <psg@debian.org>  Mon, 25 Feb 2008 21:17:18 -0500
  

xtide (2.9.5-2) unstable; urgency=low

  * Added sharutils to Build-Depends for uudecode.

 -- Peter S Galbraith <psg@debian.org>  Sat, 22 Dec 2007 16:01:57 -0500

xtide (2.9.5-1) unstable; urgency=low

  [ Peter S Galbraith ]
  * New upstream release.

  [ Morten Kjeldgaard ]
  * Add xtide.desktop.
  * Add desktop icons.

 -- Peter S Galbraith <psg@debian.org>  Fri, 21 Dec 2007 21:03:20 -0500

xtide (2.9.3-3) unstable; urgency=low

  * Brown paper bag upload.  Had built locally with a local library and
    created an impossible to-fill dependency.

 -- Peter S Galbraith <psg@debian.org>  Sat, 15 Sep 2007 18:37:42 -0400

xtide (2.9.3-2) unstable; urgency=low

  * Build with --with-xttpd-group=nogroup option to fix xttpd.

 -- Peter S Galbraith <psg@debian.org>  Fri, 14 Sep 2007 21:11:32 -0400

xtide (2.9.3-1) unstable; urgency=low

  * New upstream release (Closes: #377368).
  * Bug fix: "xtide: FTBFS if built twice in a row", thanks to Martin
    Zobel-Helas (Closes: #424099).

 -- Peter S Galbraith <psg@debian.org>  Fri, 20 Jul 2007 23:11:49 -0400

xtide (2.8.2-3) unstable; urgency=low

  * Bug fix: "FTBFS with G++ 4.1: ... not declared in this scope", thanks
    to Martin Michlmayr for the report and the patch (Closes: #356445).

 -- Peter S Galbraith <psg@debian.org>  Sat, 11 Mar 2006 21:47:09 -0500

xtide (2.8.2-2) unstable; urgency=low

  * Bug fix: "xtide: FTBFS: build-depends on removed xlibs-dev", thanks to
    Adeodato Simó for reporting it (Closes: #346858).  Builds in a chroot
    simply without xlibs-dev, so removing libx11-dev, libxpm-dev,
    libxt-dev and x-dev.

 -- Peter S Galbraith <psg@debian.org>  Fri, 20 Jan 2006 22:29:41 -0500

xtide (2.8.2-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Split xlibs-dev build-dep (Closes: #346858).

 -- Luk Claes <luk@debian.org>  Fri, 20 Jan 2006 18:01:01 +0100

xtide (2.8.2-1) unstable; urgency=low

  * New upstream release. Thanks to Hamish (Closes: #299449).
  * Standards-Version updated to 3.6.0
  
 -- Peter S Galbraith <psg@debian.org>  Wed, 23 Mar 2005 20:11:15 -0500

xtide (2.6.4-1) unstable; urgency=low

  * New upstream release

 -- Peter S Galbraith <psg@debian.org>  Sun, 16 Nov 2003 21:10:48 -0500

xtide (2.6-3) unstable; urgency=low

  * TabulatedConstituent.{cc,hh}: Try again to get around gcc bug on ia64.

 -- Peter S Galbraith <psg@debian.org>  Wed, 11 Jun 2003 20:22:53 -0400

xtide (2.6-2) unstable; urgency=low

  * TabulatedConstituent.cc: comment out redundant speed method to try to
    get around gcc bug on ia64.
  * Point to text of GPL under /usr/share/common-licenses/

 -- Peter S Galbraith <psg@debian.org>  Tue, 10 Jun 2003 23:06:29 -0400

xtide (2.6-1) unstable; urgency=low

  * New upstream release; uses new binary data files.
  * conflicts with old xtide-data format.
  * Standards-Version 3.5.10 without changes.  xttpd does not support
    `reload'.

 -- Peter S Galbraith <psg@debian.org>  Wed, 28 May 2003 16:20:06 -0400

xtide (2.5-2) unstable; urgency=low

  * Build-depend on libxaw7-dev instead of virtual package libxaw-dev
    (closes: #169989).
  * Updated to Standards-Version 3.5.7.  Added DEB_BUILD_OPTIONS support
    for debug.

 -- Peter S Galbraith <psg@debian.org>  Thu, 21 Nov 2002 09:37:15 -0500

xtide (2.5-1) unstable; urgency=low

  * New upstream release.  Users can now can see the coastline in xtide if
    they install 50 MB of data files (not currently packaged for Debian).
  * Updated to Standards-Version 3.5.6 without changes.

 -- Peter S Galbraith <psg@debian.org>  Wed, 24 Jul 2002 11:30:09 -0400

xtide (2.4-1) unstable; urgency=low

  * New upstream release.  The /etc/xtide.conf configuration file may now
    list directory names instead of harmonic data files.  In this case,
    all files in the directory are sourced.
  * Removed harmonics data, now in new xtide-data package.

 -- Peter S Galbraith <psg@debian.org>  Wed,  9 May 2001 22:28:01 -0400

xtide (2.3a-2) unstable; urgency=low

  * Changed Build-depends from:
     debhelper, xlib6g-dev, libpng2-dev, xlibs-dev
    to:
     debhelper, libxaw-dev, xlibs-dev, libpng2-dev 
    for new XFree 4.0.X

 -- Peter S Galbraith <psg@debian.org>  Mon, 19 Feb 2001 11:06:20 -0500

xtide (2.3a-1) unstable; urgency=high

  * The Debian source archive xtide_2.3.orig.tar.gz was not pristine and
    included tidal harmonics data downloaded from the XTide web site.  

