=== debian/control ===
Source: xtide
Section: science
Priority: optional
Maintainer: Peter S Galbraith <psg@debian.org>
Homepage: http://www.flaterco.com/xtide/
Build-Depends: debhelper ( >= 7), libxaw7-dev, libpng12-dev, libtcd-dev, tcd-utils, sharutils
Standards-Version: 3.9.0

Package: xtide
Architecture: any
Depends:  ${shlibs:Depends}, ${misc:Depends}
Conflicts: xtide-data (<< 20030409-1)
Recommends: xtide-data, logrotate
Suggests: xtide-coastline
Description: provides tide and current predictions
 XTide is a package that provides tide and current predictions in a wide
 variety of formats. Graphs, text listings, and calendars can be generated,
 or a tide clock can be provided on your desktop.
 .
 XTide can work with the X window system, plain text terminals, or the
 web. This is accomplished with three separate programs: the interactive
 interface (xtide), the non-interactive or command line interface (tide),
 and the web interface (xttpd).
 .
 The algorithm that XTide uses to predict tides is used by the National
 Ocean Service in the U.S. It is significantly more accurate than the
 simple tide clocks that can be bought in novelty stores. However, it takes
 more to predict tides accurately than just a spiffy algorithm -- data are
 required for every tidal prediction location.  This package provides a
 sample data set for only one location so you can try out the package, but
 anything useful requires the data packaged in the xtide-data package (or
 downloaded from the XTide ftp site).
