## xtide 2.13

=== debian/changelog ===
xtide (2.13-1) unstable; urgency=low

  * New upstream release
  * Bug fix: "Dependency for xfonts-base package missing", thanks to
    Tobias Löbhard (Closes: #655587).  Added "Depends: xfonts-base".
  * Bug fix: "Please Build-Depends on libpng-dev, change from
    libpng12-dev", thanks to Nobuhiro Iwamatsu (Closes: #662571).

 -- Peter S Galbraith <psg@debian.org>  Fri, 25 Jan 2013 12:06:34 -0500
