## xtide 2.13.2

=== debian/changelog ===
xtide (2.13.2-1build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 17:04:08 +0100

xtide (2.13.2-1build1) yakkety; urgency=medium

  * No-change rebuild for libpng soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Apr 2016 00:33:56 +0000

xtide (2.13.2-1) unstable; urgency=medium

  * New upstream release
  * Bug fix: "Please add a debian/watch file", thanks to Sven Joachim
    (Closes: #650945).

 -- Peter S Galbraith <psg@debian.org>  Thu, 23 Oct 2014 20:15:52 -0400
