=== debian/watch ===
version=3

opts=passive ftp://ftp.flaterco.com/xtide/xtide-([\d\.]+)\.tar\.bz2
