## xtide 2.15.2

=== debian/changelog ===
xtide (2.15.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Add build-{arch,indep}. (Closes: #999246)

 -- Adrian Bunk <bunk@debian.org>  Tue, 28 Dec 2021 12:21:49 +0200

xtide (2.15.2-1) unstable; urgency=medium

  * New upstream release, thanks to Tobias Frost (Closes: #873549).
  * debian/control:
   - Build-Depends: debhelper-compat (= 13)
   - Standards-Version: 4.5.0
  * debian/compat: deleted
  * debian/rules: added dh_autoreconf &	dh_auto_configure
  * debian/patches/50_manpages_for_debian deleted; not needed.

 -- Peter S Galbraith <psg@debian.org>  Mon, 01 Jun 2020 21:26:48 -0400
