=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Peter S Galbraith <psg@debian.org>
 Homepage: http://www.flaterco.com/xtide/
-Build-Depends: debhelper ( >= 7), libxaw7-dev, libpng12-dev, libtcd-dev, tcd-utils, sharutils
-Standards-Version: 3.9.0
+Build-Depends: debhelper-compat (= 13), libxaw7-dev, libpng-dev, libtcd-dev, tcd-utils, sharutils
+Standards-Version: 4.5.0
 
 Package: xtide
 Architecture: any
-Depends:  ${shlibs:Depends}, ${misc:Depends}
+Depends:  xfonts-base, ${shlibs:Depends}, ${misc:Depends}
 Conflicts: xtide-data (<< 20030409-1)
 Recommends: xtide-data, logrotate
 Suggests: xtide-coastline
