## xtide 2.15.3

=== debian/changelog ===
xtide (2.15.3-0~mx21) mx; urgency=medium

  * Rebuild for MX-21

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sun, 13 Jun 2021 17:18:47 -0400

xtide (2.15.3-0~mx19) mx; urgency=medium

  * New upstream release built against new libtcd 2.2.7-r3

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sun, 13 Jun 2021 14:23:44 -0400

xtide (2.15.2-1~mx19) mx; urgency=medium

  * Rebuild for MX-19

 -- Timothy E. Harris <maintainer@mxrepo.com>  Mon, 28 Sep 2020 10:52:59 -0400
