=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: xtide
 Section: science
 Priority: optional
-Maintainer: Peter S Galbraith <psg@debian.org>
+Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
+XSBC-Original-Maintainer: Peter S Galbraith <psg@debian.org>
 Homepage: http://www.flaterco.com/xtide/
-Build-Depends: debhelper-compat (= 13), libxaw7-dev, libpng-dev, libtcd-dev, tcd-utils, sharutils
+Build-Depends: debhelper-compat (= 12), libxaw7-dev, libpng-dev, libtcd-dev, tcd-utils, sharutils
 Standards-Version: 4.5.0
 
 Package: xtide
